Bug 1473342 - Provide a single environment file to deploy OVN services, instead of HA and non-HA
Provide a single environment file to deploy OVN services, instead of HA and n...
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity low
: ---
: 13.0 (Queens)
Assigned To: Numan Siddique
Toni Freger
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 10:35 EDT by Numan Siddique
Modified: 2018-06-15 21:45 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Numan Siddique 2017-07-20 10:35:19 EDT
Description of problem:
Presently, there are 2 environment files to enable OVN services - one for HA and for non-HA. Squash it into one environment file and deploy pacemaker OVN DB resources if pacemaker is enabled, else base profile.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Ihar Hrachyshka 2017-11-07 13:50:53 EST
It seems like a nice-to-have. Lowering severity.
Comment 2 Numan Siddique 2017-11-07 13:55:30 EST
@Emilien - I would like to get your comments if this is possible to do it in t-h-t ?
Presently to deploy OVN baremetal configuration we have environmentns/neutron-ml2-ovn.yaml and environments/neutron-ml2-ovn-ha.yaml. Is it possible to have one template which would detect if pacemaker is enabled and enable OVN DB HA ?

I am not sure if it is possible.
Comment 7 Emilien Macchi 2018-03-05 16:29:06 EST
So we discussed at the PTG and we agreed to:

- remove files that we don't support, which means, deployments without HA and without containers.
- only keep an environment with OVN / HA / Docker.
- document in a release note.

It doesn't make sense to maintain other files, as we don't support these architectures.

Note You need to log in before you can comment on or make changes to this bug.